<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Latihan DOM</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">
    <script defer src="https://use.fontawesome.com/releases/v5.8.1/js/all.js" 
    integrity="sha384-g5uSoOSBd7KkhAMlnQILrecXvzst9TdC09/VM+pjDTCM+1il8RHz5fKANTFFb+gQ" crossorigin="anonymous"></script>
</head>
<body>
    <div class="container">
        <nav class="navbar navbar-light bg-light">
            <a class="navbar-brand">Mini Ecommerce</a>
            <form class="form-inline" id="formItem">
                <input class="form-control mr-sm-2" type="search" placeholder="Search"  id="keyword" aria-label="Search">
                <button class="btn btn-outline-success my-2 my-sm-0" type="submit" id="searchItem">Search</button>
            </form>
            <button class="btn btn-primary" id="cart"><i class="fas fa-shopping-cart"></i>(0)</button>
        </nav>
        <div class="row">
            <div class="row col-md-12 mt-2"  id="listBarang" >
                
            </div>
        </div>
    </div>
     <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-Piv4xVNRyMGpqkS2by6br4gNJ7DXjqk09RmUpJ8jgGtD7zP9yug3goQfGII0yAns" crossorigin="anonymous"></script>
    <script>
        var items = [
        ['001', 'Keyboard Logitek', 60000, 'Keyboard yang mantap untuk kantoran', 'logitek.jpg'], 
        ['002', 'Keyboard MSI', 300000, 'Keyboard gaming MSI mekanik', 'msi.jpg'],
        ['003', 'Mouse Genius', 50000, 'Mouse Genius biar lebih pinter', 'genius.jpg'],
        ['004', 'Mouse Jerry', 30000, 'Mouse yang disukai kucing', 'jerry.jpg']
        ]

        var tampungBarang = document.getElementById("listBarang")

        function tampilBarang(data){
            var tampung = ""
            for(var i=0; i<data.length; i++){
                tampung +=
                    `<div class ="col-4 mt-2"> 
                    <div class="card" style="width: 18rem;">
                        <img src="img/${data[i][4]}" class="card-img-top" height="200px" width="200px" alt="...">
                        <div class="card-body">
                            <h5 class="card-title" id="itemName">${data[i][1]}</h5>
                            <p class="card-text" id="itemDesc">${data[i][3]}</p>
                            <p class="card-text">${data[i][2]}</p>
                            <a href="#" class="btn btn-primary" id="addCart">Tambahkan ke keranjang</a>
                        </div>
                    </div>
                    </div>`
                }
            return tampungBarang.innerHTML = tampung
        }
        tampilBarang(items)

        function filter(kataKunci){
            var filteredItems = []
            for(var a = 0; a<items.length; a++){
                var barang = items[a]
                var namaBarang = barang[1]
                var isMatch = namaBarang.toLocaleLowerCase().includes(kataKunci.toLocaleLowerCase());

                if(isMatch === true){
                    filteredItems.push(barang)
                }
            }
            return filteredItems
        }

        var fungsiSearch = document.getElementById("formItem");
        fungsiSearch.addEventListener("submit", function(event){
            event.preventDefault()
            inputanPencarian = document.getElementById("keyword").value;

            var terfilter = filter(inputanPencarian)
            tampilBarang(terfilter);
        })
            
        


    </script>
</body>
</html>
